%define name 	ploticus
%define version 2.41
%define upstream_version %(echo %{version} | sed -e 's/\\.//g')
%define release %mkrel 4

Summary: 	Graph/plot generator
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL+
Group: 		Publishing
URL: 		http://ploticus.sourceforge.net/
Source0:	http://ploticus.sourceforge.net/download/pl%{upstream_version}src.tar.gz
Source1:	http://ploticus.sourceforge.net/download/pl%{upstream_version}docs.tar.gz
Patch0:		ploticus-2.33-gd20gif.patch
Patch1:		ploticus-2.41-fix-str-fmt.patch
Requires: 	gd-utils
BuildRequires:	gd-devel
Conflicts:	swi-prolog
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
PLOTICUS is a popular command line utility for creating graphs and plots
that may be presented in Web pages, printed reports, slides, posters, or
interactively. It can produce pie, bar, line, boxplot, scatterplot,
sweep, and other types of plots. Colors and appearance details are very
configurable. PLOTICUS can handle date and time data in a variety of
formats in addition to numeric and alphanumeric data. It is suitable for
on-demand plotting, CGI, etc. It accepts ASCII or comma-spearated (.csv)
files and can output to GIF, PNG, SVG, JPEG, WBMP, PostScript, EPS, or
interactively via X11. Some statistical capabilities such as linear
regression and curve fitting are included.

NOTE: the executable name is: pl

%prep
%setup -q -n pl%{upstream_version}src -a1
%patch0 -p1 -b .gd20gif
%patch1 -p1 -b .strfmt

# with ming:
#perl -pi -e "s|^NOSWFFLAG.* = -DNOSWF|#NOSWFFLAG = -DNOSWF|g" src/Makefile

%build
cd src
%make	CC="%{__cc} %optflags %ldflags" \
	XLIBS="-L%{_libdir} -lX11" \
	XINCLUDEDIR="-I%{_includedir}" \
	GD18LIBS="-lgd" \
	GD18H="" \
	GDFREETYPE="-DGDFREETYPE" \
	ZFLAG="-DWZ" \
	PREFABS_DIR=%{_datadir}/%{name} \
	LOCALEOBJ=localef.o \
	LOCALE_FLAG="-DLOCALE" \
	plgd18

# it won't compile...
#    MING="-lming" \
#    MINGH="-I%{_includedir}" \

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m755 src/pl -D %{buildroot}%{_bindir}/pl
cp prefabs/* %{buildroot}%{_datadir}/%{name}

install -d %{buildroot}%{_mandir}/man1
#install -d %{buildroot}%{_mandir}/man3

install -m0644 pl%{upstream_version}docs/man/man1/pl.1 %{buildroot}%{_mandir}/man1/
#install -m0644 pl%{sver}docs/man/man3/libploticus.3 %{buildroot}%{_mandir}/man3/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README pl%{upstream_version}docs/index.html pl%{upstream_version}docs/doc
%{_bindir}/pl
%{_datadir}/%{name}
%{_mandir}/man1/pl.1*
#%{_mandir}/man3/libploticus.3*



%changelog
* Mon Feb 07 2011 Funda Wang <fwang@mandriva.org> 2.41-4mdv2011.0
+ Revision: 636576
- tighten BR

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.41-3mdv2011.0
+ Revision: 614589
- the mass rebuild of 2010.1 packages

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 2.41-2mdv2010.0
+ Revision: 419816
- rebuild for new libjpeg v7

* Mon Jun 22 2009 Jérôme Brenier <incubusss@mandriva.org> 2.41-1mdv2010.0
+ Revision: 387954
- update to new version 2.41
- rediff PO
- fix str fmt
- fix license tag

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 2.33-4mdv2009.0
+ Revision: 259100
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.33-3mdv2009.0
+ Revision: 247023
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.33-1mdv2008.1
+ Revision: 111436
- new version
- import ploticus

  + Thierry Vignaud <tv@mandriva.org>
    - use %%mkrel


* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.30-3mdk
- oops again, the package was allready in there, sorry Austin. i
  merged my changes into your spec file instead.

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.30-2mdk
- oops, it conflicts with swi-prolog

* Thu Sep 2 2004 Austin Acton <austin@mandrake.orgg> 2.30-1mdk
- 2.30

* Sat May 15 2004 Austin Acton <austin@mandrake.org> 2.21-1mdk
- 2.21

* Wed Jan 07 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.20-1mdk
- 2.20
- make short-circuitable (rm -rf $RPM_BUILD_ROOT at the beginning of %%install,
  don't move binary out of $RPM_BUILD_DIR but copy it in stead:)
- drop explicit library dependencies
- fix buildrequires (lib64..)
- cosmetics
- compile with $RPM_OPT_FLAGS
- use %%make macro

* Wed Jun 11 2003 Austin Acton <aacton@yorku.ca> 2.11-1mdk
- 2.11

* Fri Jan 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.10-1mdk
- from Austin Acton <aacton@yorku.ca> : 
	- initial package
